## friendly-recovery 0.2.25

=== po/Makefile ===
PACKAGE=friendly-recovery
top_srcdir = ..

all: friendly-recovery.pot update-po update-mo 

friendly-recovery.pot: POTFILES.in
	xgettext --files-from=./POTFILES.in --lang shell --output $(PACKAGE).pot

update-mo: $(patsubst %.po,%.mo,$(wildcard *.po))

%.mo : %.po
	mkdir -p $(top_srcdir)/usr/share/locale/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o $(top_srcdir)/usr/share/locale/$(subst .po,,$<)/LC_MESSAGES/$(PACKAGE).mo 

update-po: 
	for f in *.po; do \
		msgmerge -o $$f $$f friendly-recovery.pot; \
	done

## friendly-recovery 0.0+bzr20070723

=== debian/changelog ===
friendly-recovery (0.0+bzr20070723) gutsy; urgency=low

  * initial ubuntu upload to implement 
    https://wiki.ubuntu.com/FriendlyRecovery
    (thanks to Ryan Lortie)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Jul 2007 17:20:00 +0100

=== debian/control ===
Source: friendly-recovery
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), cdbs
Standards-Version: 3.7.2
XS-Vcs-Bzr: http://bazaar.launchpad.net/~mvo/friendly-recovery/ubuntu

Package: friendly-recovery
Architecture: all
Depends: upstart, bash
Description: Make recovery more user-friendly
 Make the recovery mode more user-friendly by providing a menu
 with plugable options.

=== debian/rules ===
#!/usr/bin/make -f

PKG=friendly-recovery
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# FIXME: move this into its own makefile
install/friendly-recovery::
	mkdir -p debian/friendly-recovery
	cp -ar etc/ debian/friendly-recovery
	cp -ar usr/ debian/friendly-recovery

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

## friendly-recovery 0.1

=== debian/changelog ===
friendly-recovery (0.1) hardy; urgency=low

  * do not install /etc/event.d/rcS-sulogin (LP: #205911)
  * add missing whiptail dependency (LP: #203924)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2008 13:03:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # FIXME: move this into its own makefile
 install/friendly-recovery::
 	mkdir -p debian/friendly-recovery
-	cp -ar etc/ debian/friendly-recovery
+	#cp -ar etc/ debian/friendly-recovery
 	cp -ar usr/ debian/friendly-recovery
 
 arch-build:

## friendly-recovery 0.1.2

=== debian/changelog ===
friendly-recovery (0.1.2) hardy-proposed; urgency=low

  * usr/share/recovery-mode/options/dpkg:
    - add recovery mode for package failure (LP: #228200)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 May 2008 14:30:08 +0200

friendly-recovery (0.1.1) hardy-proposed; urgency=low

  * usr/share/recovery-mode/options/root:
    - use /sbin/sulogin to get a shell (LP: #220986)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 May 2008 11:33:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: friendly-recovery
 Architecture: all
-Depends: upstart, bash
+Depends: upstart, bash, whiptail
 Description: Make recovery more user-friendly
  Make the recovery mode more user-friendly by providing a menu
  with plugable options.

## friendly-recovery 0.2.6

=== debian/changelog ===
friendly-recovery (0.2.6) intrepid; urgency=low

  * usr/share/recovery-mode/options/clean:
    - add "try to make free space" option that invokes
      "apt-get clean" for now (should use the system-cleaner
      once it is available
  * usr/share/recovery-mode/options/xfix:
    - do not show the xfix option if no xserver-xorg.template
      is available (LP: #218954)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jul 2008 15:52:20 +0200

friendly-recovery (0.2.5) intrepid; urgency=low

  * debian/control:
    - recommnd "gettext-base" instead of gettext (thanks 
      to Colin Watson)
    - move bzr tree to ~ubuntu-core-dev and update Vcs-Bzr

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Jul 2008 18:40:59 +0200

friendly-recovery (0.2.4) intrepid; urgency=low

  * usr/share/recovery-mode/options/dpkg:
    - support python2.6 in dpkg recovery too (thanks to
      Jοhan Kiviniemi)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Jun 2008 16:01:45 +0200

friendly-recovery (0.2.3) intrepid; urgency=low

  * s/plugable/pluggable in description.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 14:44:46 +0200

friendly-recovery (0.2.2) intrepid; urgency=low

  * usr/share/recovery-mode/options/root:
    - use /sbin/sulogin to get a shell (LP: #220986)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 May 2008 11:33:29 +0200

friendly-recovery (0.2.1) intrepid; urgency=low

  * usr/share/recovery-mode/options/dpkg:
    - remove left-overs in partial/ 
    - use update-manager-core partial upgrade mode
      (if available)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 May 2008 11:11:58 +0200

friendly-recovery (0.2) intrepid; urgency=low

  * usr/share/recovery-mode/options/fsck:
    - add new fsck option (LP: #218870)
  * usr/share/recovery-mode/options/dpkg:
    - add new package system repair option
  * add gettext support
  * debian/control: 
    - recommend gettext (will work without too)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2008 13:15:13 +0200

## friendly-recovery 0.2.8.1

=== debian/changelog ===
friendly-recovery (0.2.8.1) jaunty; urgency=low

  * Fix dchclient which forced to use eth0 when dropping to root shell
    prompt (LP: #321381)

 -- Didier Roche <didrocks@ubuntu.com>  Sun, 15 Feb 2009 21:00:53 +0100

friendly-recovery (0.2.8) jaunty; urgency=low

  [ James Burkle ]
  * usr/share/recovery-mode/options/netroot
    - add recovery mode with networking via dhclient (LP: #244885)
  
  [ Michael Vogt ]
  * usr/share/recovery-mode/options/grub
    - add support for grub reinstall
  * usr/share/recovery-mode/options/xfix:
    - better description (LP: #270496)

 -- James Burkle <james.burkle@gmail.com>  Fri, 24 Oct 2008 13:31:43 -0400

## friendly-recovery 0.2.8.2

=== debian/changelog ===
friendly-recovery (0.2.8.2) karmic; urgency=low

  * usr/share/recovery-mode/options/fsck:
    - Drop fsck option because we can not reliable remount the 
      filesystem readonly for a fsck (LP: #363271). In karmic
      at least dbus, udevd, dhclient and rsyslog are running
      in single user mode.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Oct 2009 22:43:21 +0200

## friendly-recovery 0.2.10

=== debian/changelog ===
friendly-recovery (0.2.10) lucid; urgency=low

  * usr/share/recovery-mode/options/xfix renamed to failsafeX:
    - run failsafe X session (thanks to Bryce Harrington for
      the suggestion)
  * merged lp:~kelemeng/friendly-recovery/bug430926

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Apr 2010 14:35:44 +0200

friendly-recovery (0.2.9) lucid; urgency=low

  * usr/share/recovery-mode/options/fsck:
    - add fsck option again that triggers the fsck on the
      next reboot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Nov 2009 12:12:38 +0100

=== debian/control ===
Source: friendly-recovery
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), cdbs
Standards-Version: 3.7.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

Package: friendly-recovery
Architecture: all
Depends: upstart, bash, whiptail
Recommends: gettext-base, update-manager-core (>= 0.90.0)
Description: Make recovery more user-friendly
 Make the recovery mode more user-friendly by providing a menu
 with pluggable options.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 # FIXME: move this into its own makefile
 install/friendly-recovery::
+	(cd po; make)
 	mkdir -p debian/friendly-recovery
 	#cp -ar etc/ debian/friendly-recovery
 	cp -ar usr/ debian/friendly-recovery

## friendly-recovery 0.2.11

=== debian/changelog ===
friendly-recovery (0.2.11) natty; urgency=low

  * usr/share/recovery-mode/l10n.sh:
    - blacklist certain locales where we don't have good console
      fonts (LP: #573502)
  * fix fsck option (LP: #566200)
  * refresh pot file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Apr 2011 17:57:06 +0200

## friendly-recovery 0.2.18

=== debian/changelog ===
friendly-recovery (0.2.18) oneiric; urgency=low

  * Update upstart job
    - Replace tabs by spaces from last change (for consistency)
    - Start hostname and console-setup from pre-start (LP: #524605, LP: #782872)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 25 Sep 2011 22:29:19 -0400

friendly-recovery (0.2.17) oneiric; urgency=low

  * Check for whiptail earlier in friendly-recovery to avoid noise
    related to /usr being on another file system. (LP: #852266)
  * Update dpkg option to work with newer versions of python. (LP: #77524)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Sep 2011 16:20:43 -0400

friendly-recovery (0.2.16) oneiric; urgency=low

  * debian/friendly-recovery.upstart: since plymouth might have been started
    from the initramfs (e.g., if cryptsetup is installed), we need to make
    sure we disable the splash before we try to take over the console,
    otherwise we'll be competing with plymouth for input.  We try to restore
    the plymouth splash again before resuming boot.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Sep 2011 16:24:22 -0700

friendly-recovery (0.2.15) oneiric; urgency=low

  * In postinst and postrm, also check for /boot/grub/grub.cfg before
    calling update-grub. This should avoid update-grub failing during
    livefs build.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 22:00:41 -0400

friendly-recovery (0.2.14) oneiric; urgency=low

  * Fix friendly-recovery.link being the wrong way around.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 17:24:55 -0400

friendly-recovery (0.2.13) oneiric; urgency=low

  * Move everything to /lib/recovery-mode/ (LP: #234409)
  * Don't use the fullpath to whiptail
  * Add new init script starting on recovery-mode (LP: #459376)
  * If whiptail can't be found, just start sulogin
  * Add a script to start mountall (remount everything read/write)
    (LP: #575469, LP: #651782)
  * Export READONLY to all scripts so they can test on the read/write state
  * Disable most scripts when the system is read only
  * Change file system check to happen when remount is called
  * Wait after all scripts returning output so the user can read it
  * Add postinst script to move any existing script to /lib/recovery-mode
    and make /usr/share/recovery-mode a symlink
  * Mark as breaking on older grub2, upstart and initramfs-tools
  * Small packaging refresh:
    - Bump standard to 3.9.2, no change needed
    - Drop simple patchsys (no patches)
    - No need to depend on bash (essential package)
    - Add ${misc:Depends} to dependencies

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 07 Sep 2011 20:18:53 -0400

friendly-recovery (0.2.12) oneiric; urgency=low

  * usr/share/recovery-mode/options/apt-snapshots:
    - add support for apt-btfs-snapshots (if available)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Jul 2011 13:12:41 +0200

## friendly-recovery 0.2.25

=== debian/changelog ===
friendly-recovery (0.2.25) precise; urgency=low

  [ James Hunt ]
  * README: Fixed typo.
  * lib/recovery-mode/options/system-symmary: added brief LVM and APT
    summaries.

  [ Stéphane Graber ]
  * Update upstart job to ensure /run/shm and /run/lock are present.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 14 Mar 2012 09:57:09 -0400

friendly-recovery (0.2.24) precise; urgency=low

  * Fix failsafeX (thanks to James Hunt)
  * Add new system-summary script, trying to give some useful information
    about the system
  * Add 'apt-get autoremove' to the clean script
  * Update translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 12:09:19 -0500

friendly-recovery (0.2.23) precise; urgency=low

  * Upload the right version of recovery-menu
    (previous upload was a debug version ...)
  * Better handle the fsck case by having it be a one-time option that
    can only be triggered from read-only mode.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Feb 2012 23:15:58 -0500

friendly-recovery (0.2.22) precise; urgency=low

  * Rework of the menu
    - All options are now displayed again.
    - Filesystem state (read-only or read/write) is displayed in the title.
    - User is prompted the first time they access an option requiring
      read/write access to the filesystem.
    - netroot option was dropped and replaced by a new network option
      that tries to configure the network by calling ifupdown,
      Network Manager and falling back to regular dhclient.
    - A warning is now shown when the user wants to resume the boot
      sequence warning them that some X drivers don't work when the
      system was booted without KMS. Recommending the user to reboot in
      that case.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Feb 2012 17:00:38 -0500

friendly-recovery (0.2.21) precise; urgency=low

  * Replace remaining call to basename (/usr/bin/basename) by a bashism.
    To avoid using anything from /usr in friendly-recovery.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Feb 2012 12:49:55 -0500

friendly-recovery (0.2.20) precise; urgency=low

  * Update upstart job
    - Make sure to deal with anything failing (upstarts run with set -e)
  * Update l10n.sh
    - If /usr/share/locale doesn't exist, define eval_gettext as a simple
      echo and return.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Feb 2012 11:25:22 -0500

friendly-recovery (0.2.19) precise; urgency=low

  * Update upstart job
    - Drop all the || null in pre-start and replace by a final exit 0
    - Start setvtrgb from pre-start
    - Emit mounted MOUNTPOINT=/run from pre-start (to start resolvconf)
    - Start udev from pre-start
    - Manually call udevadm trigger/settle from pre-start (upstart job hangs)
    - Turn off kernel output before showing the menu to avoid screen corruption

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 25 Jan 2012 13:24:03 -0500

friendly-recovery (0.2.18ubuntu1) precise; urgency=low

  * debian/friendly-recovery.upstart: Add missing emits stanzas
    to avoid breaking 'initctl check-config' (LP: #888095).

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 16 Dec 2011 10:55:43 +0000

=== debian/control ===
Source: friendly-recovery
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), cdbs
Standards-Version: 3.9.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

Package: friendly-recovery
Architecture: all
Depends: ${misc:Depends}, upstart, whiptail
Breaks: upstart (<< 1.3-0ubuntu9), grub2 (<< 1.99-12ubuntu4), initramfs-tools (<< 0.99ubuntu4)
Recommends: gettext-base, update-manager-core (>= 0.90.0)
Description: Make recovery more user-friendly
 Make the recovery mode more user-friendly by providing a menu
 with pluggable options.

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,16 @@
 PKG=friendly-recovery
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
+DEB_DH_INSTALLINIT_ARGS := --no-start
 
   
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 # FIXME: move this into its own makefile
 install/friendly-recovery::
 	(cd po; make)
 	mkdir -p debian/friendly-recovery
-	#cp -ar etc/ debian/friendly-recovery
-	cp -ar usr/ debian/friendly-recovery
+	cp -ar lib/ debian/friendly-recovery
 
 arch-build:
 	rm -rf debian/arch-build

## friendly-recovery 0.2.26

=== debian/changelog ===
friendly-recovery (0.2.26) utopic; urgency=medium

  * Drop /usr/share/recovery-mode symlink and transition, this happened in
    oneiric already.
  * Move from cdbs to dh to simplify/modernize build system.
  * Update to copyright format 1.0.
  * Bump Standards-Version to 3.9.5.
  * lib/recovery-mode/options/dpkg: Fix ubuntu-release-upgrader mode again:
    Update to Python 3, and fix --datadir.
  * When running under systemd, call its "remount-fs" service for remounting
    r/w instead of mountall.
  * Add systemd unit, hooking into local-fs-pre.target. This is based on
    emergency.target, but watches out for "recovery" on the kernel command
    line, similar to upstart. (LP: #1351316) Add alternative "systemd-sysv"
    dependency (LP: #1351306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Aug 2014 12:42:25 +0200

## friendly-recovery 0.2.30

=== debian/changelog ===
friendly-recovery (0.2.30) vivid; urgency=medium

  * Implement fsck by ourselves instead of letting the boot sequence already
    do that for us. (LP: #1438860)
  * dpkg: Quiesce "file not found" errors in apt cleanup. (LP: #887589)
  * Mount all file systems after fsck (like with mountall under upstart), to
    also cover separate /boot partitions for grub. (LP: #1438862)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 19 Apr 2015 12:49:11 +0100

friendly-recovery (0.2.29) vivid; urgency=medium

  * dpkg: Force release-upgrader to run without screen, as that fails under
    friendly-recovery. (LP: #1438865)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Apr 2015 17:42:08 -0500

friendly-recovery (0.2.28) vivid; urgency=medium

  * network: Temporarily start D-Bus and NetworkManager manually, instead of
    calling the upstart scripts. We run even before local-fs-pre.target and
    can't rely on any dependencies or NM to even work, so just do this
    opportunistically. (LP: #1436336)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Apr 2015 16:07:48 +0200

friendly-recovery (0.2.27) vivid; urgency=medium

  * debian/friendly-recovery.service: Fix dmesg path. (LP: #1354937)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 13:01:36 +0100

=== debian/control ===
Source: friendly-recovery
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-systemd
Standards-Version: 3.9.5
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

Package: friendly-recovery
Architecture: all
Depends: ${misc:Depends}, upstart | systemd-sysv, whiptail
Breaks: upstart (<< 1.3-0ubuntu9), grub2 (<< 1.99-12ubuntu4), initramfs-tools (<< 0.99ubuntu4)
Recommends: gettext-base, update-manager-core (>= 0.90.0)
Description: Make recovery more user-friendly
 Make the recovery mode more user-friendly by providing a menu
 with pluggable options.

## friendly-recovery 0.2.31

=== debian/changelog ===
friendly-recovery (0.2.31) wily; urgency=medium

  * debian/friendly-recovery.service: Don't put this between
    systemd-udev-settle.service and systemd-fsck-root.service, to avoid
    blocking fsck'ing the root partition on udev-settle. Only call udevadm
    settle when we are actually being run. (LP: #1459475)
  * Bump Standards-Version to 3.9.6; no changes necessary.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Jun 2015 15:45:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with systemd

override_dh_auto_build:
	cd po; make

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

## friendly-recovery 0.2.31ubuntu2.1

=== debian/changelog ===
friendly-recovery (0.2.31ubuntu2.1) xenial; urgency=medium

  [ Steven Clarkson ]
  * lib/systemd/system-generators/friendly-recovery:
    Symlink default.target to earlydir instead of normaldir to be
    able to access recovery mode even if default target has been set
    via systemctl set-default (LP: #1821252).

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Fri, 21 Jun 2019 16:35:01 +0100

friendly-recovery (0.2.31ubuntu2) xenial; urgency=medium

  [ Dimitri John Ledkov ]
  * Actually use a friendly-recovery.target which systemd boots to
    using a generator for default.target symlink. This ensures that
    one is not in the middle of a boot transaction during recovery
    and can start/stop/change systemd units without interference.
  * Cleanup lintian warnings. (LP: #1766872)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 02 Oct 2018 14:43:12 -0400

friendly-recovery (0.2.31ubuntu1) xenial; urgency=medium

  * /lib/recovery-mode/l10n.sh (LP: #1752362)
    - Default to LANG "C.UTF-8" and LANGUAGE "en" when locales are part
    of a language blacklist which doesn't have a good console fonts.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 28 Feb 2018 15:23:43 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-systemd
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu
 
 Package: friendly-recovery

## friendly-recovery 0.2.33

=== debian/changelog ===
friendly-recovery (0.2.33) unstable; urgency=medium

  * Make top-level COPYRIGHT claim more clear and specific.
  * Improve package description, slightly.
  * Bump standards version to 3.9.8, no changes needed.
  * Set myself as Maintainer, and bump mvo into Uploaders.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Jul 2016 11:12:03 +0200

friendly-recovery (0.2.32) unstable; urgency=medium

  * Upload to Debian. Closes: #683070.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Jul 2016 10:38:29 +0200

=== debian/control ===
Source: friendly-recovery
Section: admin
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Uploaders: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-systemd
Standards-Version: 3.9.8
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

Package: friendly-recovery
Architecture: all
Depends: ${misc:Depends}, upstart | systemd-sysv, whiptail
Breaks: upstart (<< 1.3-0ubuntu9), grub2 (<< 1.99-12ubuntu4), initramfs-tools (<< 0.99ubuntu4)
Recommends: gettext-base, update-manager-core (>= 0.90.0)
Description: Make recovery boot mode more user-friendly
 Make the recovery boot mode more user-friendly by providing a menu
 with pluggable options.

## friendly-recovery 0.2.34

=== debian/changelog ===
friendly-recovery (0.2.34) unstable; urgency=medium

  * Drop upstart alternative dependency.
  * Do not generate broken Recommends on Debian Closes: #830791

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Dec 2016 11:26:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 Package: friendly-recovery
 Architecture: all
-Depends: ${misc:Depends}, upstart | systemd-sysv, whiptail
+Depends: ${misc:Depends}, systemd-sysv, whiptail
 Breaks: upstart (<< 1.3-0ubuntu9), grub2 (<< 1.99-12ubuntu4), initramfs-tools (<< 0.99ubuntu4)
-Recommends: gettext-base, update-manager-core (>= 0.90.0)
+Recommends: gettext-base, ${Ubuntu:Recommends}
 Description: Make recovery boot mode more user-friendly
  Make the recovery boot mode more user-friendly by providing a menu
  with pluggable options.

## friendly-recovery 0.2.35

=== debian/changelog ===
friendly-recovery (0.2.35) experimental; urgency=medium

  * friendly-recovery.service: trigger and settle udevadm before
    launching, drop broken settle down commands. Thanks to Alkis
    Georgopoulos. LP: #1675805
  * system-summary: improve cpu_freq reading, and make the script
    resilient to failures of reading cpu_freq. LP: #1675824

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Mar 2017 17:04:51 +0100

## friendly-recovery 0.2.36

=== debian/changelog ===
friendly-recovery (0.2.36) unstable; urgency=medium

  * Upload to unstable
  * Drop upstart job

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Aug 2017 16:56:41 +0100

## friendly-recovery 0.2.36ubuntu1

=== debian/changelog ===
friendly-recovery (0.2.36ubuntu1) artful; urgency=medium

  * /lib/recovery-mode/l10n.sh (LP: #1752362)
    - Default to LANG "C.UTF-8" and LANGUAGE "en" when locales are part
    of a language blacklist which doesn't have a good console fonts.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 28 Feb 2018 15:24:29 -0500

## friendly-recovery 0.2.38

=== debian/changelog ===
friendly-recovery (0.2.38) unstable; urgency=medium

  * Make friendly-recovery block the systemd emergency / rescue shell
    modes. LP: #1662137
  * Bump debhelper and starndards version, drop dh-systemd build-dep.
  * Support activating networking using systemd units for resolved,
    networkd, NetworkManager, ifupdown. LP: #1682637

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Mar 2018 14:38:38 +0100

friendly-recovery (0.2.37ubuntu1) bionic; urgency=medium

  * /lib/recovery-mode/l10n.sh (LP: #1752362)
    - Default to LANG "C.UTF-8" and LANGUAGE "en" when locales are part
      of a language blacklist which doesn't have a good console fonts.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 28 Feb 2018 11:26:37 -0500

friendly-recovery (0.2.37) unstable; urgency=medium

  * friendly-recovery.service: do not order after systemd-udevd.service as
    this leads to a boot dependency cycle. Instead order after the
    systemd-udevd-control.socket only.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 Nov 2017 11:23:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Uploaders: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-systemd
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.3
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu
 
 Package: friendly-recovery

## friendly-recovery 0.2.38ubuntu1.1

=== debian/changelog ===
friendly-recovery (0.2.38ubuntu1.1) bionic; urgency=medium

  [ Steven Clarkson ]
  * lib/systemd/system-generators/friendly-recovery:
    Symlink default.target to earlydir instead of normaldir to be
    able to access recovery mode even if default target has been set
    via systemctl set-default (LP: #1821252).

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Fri, 21 Jun 2019 15:07:01 +0100

friendly-recovery (0.2.38ubuntu1) bionic; urgency=medium

  [ Dimitri John Ledkov ]
  * Actually use a friendly-recovery.target which systemd boots to
    using a generator for default.target symlink. This ensures that
    one is not in the middle of a boot transaction during recovery
    and can start/stop/change systemd units without interference.
  * Cleanup lintian warnings. (LP: #1766872)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 15 Oct 2018 09:02:45 -0400

## friendly-recovery 0.2.38ubuntu1.2

=== debian/changelog ===
friendly-recovery (0.2.38ubuntu1.2) bionic; urgency=medium

  * add resolvconf-pull-resolved.path to script that brings up the
    network in order to resolve a conflict between systemd and
    resolvconf (LP: #1891952)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Tue, 26 Jan 2021 15:21:36 -0600

## friendly-recovery 0.2.39

=== debian/changelog ===
friendly-recovery (0.2.39) unstable; urgency=medium

  * Actually use a friendly-recovery.target which systemd boots to
    using a generator for default.target symlink. This ensures that
    one is not in the middle of a boot transaction during recovery
    and can start/stop/change systemd units without interference.
  * Cleanup lintian warnings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Oct 2018 21:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Uploaders: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu
 
 Package: friendly-recovery

## friendly-recovery 0.2.39ubuntu0.18.10.1

=== debian/changelog ===
friendly-recovery (0.2.39ubuntu0.18.10.1) cosmic; urgency=medium

  [ Steven Clarkson ]
  * lib/systemd/system-generators/friendly-recovery:
    Symlink default.target to earlydir instead of normaldir to be
    able to access recovery mode even if default target has been set
    via systemctl set-default (LP: #1821252).

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Fri, 21 Jun 2019 17:26:49 +0100

## friendly-recovery 0.2.39ubuntu0.19.04.1

=== debian/changelog ===
friendly-recovery (0.2.39ubuntu0.19.04.1) disco; urgency=medium

  [ Steven Clarkson ]
  * lib/systemd/system-generators/friendly-recovery:
    Symlink default.target to earlydir instead of normaldir to be
    able to access recovery mode even if default target has been set
    via systemctl set-default (LP: #1821252).

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Fri, 21 Jun 2019 17:32:41 +0100

## friendly-recovery 0.2.39+nmu1

=== debian/changelog ===
friendly-recovery (0.2.39+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:34:31 +0800

## friendly-recovery 0.2.40

=== debian/changelog ===
friendly-recovery (0.2.40) unstable; urgency=medium

  * QA upload.
  * Orphan package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 04:01:24 +0000

## friendly-recovery 0.2.41

=== debian/changelog ===
friendly-recovery (0.2.41) experimental; urgency=medium

  [ Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Vcs control header.

  [ Steven Clarkson ]
  * Symlink default.taget to earlydir instead of normaldir to be able 
    to access recovery mode even if default target has been set via 
    systemctl set-default (LP: #1821252).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Jun 2019 13:29:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: friendly-recovery
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Uploaders: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10)
 Standards-Version: 4.2.1
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

## friendly-recovery 0.2.41ubuntu0.20.04.1

=== debian/changelog ===
friendly-recovery (0.2.41ubuntu0.20.04.1) focal; urgency=medium

  * add resolvconf-pull-resolved.path to script that brings up the
    network in order to resolve a conflict between systemd and
    resolvconf (LP: #1891952)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Tue, 26 Jan 2021 15:17:03 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: friendly-recovery
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10)
 Standards-Version: 4.2.1
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/default.mk
+
+ifeq ($(shell $(call dpkg_vendor_derives_from,Ubuntu)),yes)
+UBUNTU_RECOMMENDS=update-manager-core
+endif
 
 %:
 	dh "$@" --with systemd
@@ -11,3 +16,6 @@
 
 override_dh_systemd_start:
 	dh_systemd_start --no-start
+
+override_dh_gencontrol:
+	dh_gencontrol -- -VUbuntu:Recommends=$(UBUNTU_RECOMMENDS)

## friendly-recovery 0.2.41ubuntu0.20.10.1

=== debian/changelog ===
friendly-recovery (0.2.41ubuntu0.20.10.1) groovy; urgency=medium

  * add resolvconf-pull-resolved.path to script that brings up the
    network in order to resolve a conflict between systemd and
    resolvconf (LP: #1891952)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Tue, 26 Jan 2021 15:09:22 -0600

## friendly-recovery 0.2.42

=== debian/changelog ===
friendly-recovery (0.2.42) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use secure URI in Vcs control header Vcs-Bzr.

  [ William 'jawn-smith' Wilson ]
  * add resolvconf-pull-resolved.path to script that brings up the
    network (LP: #1891952)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 27 Jan 2021 15:54:45 +0000

=== debian/control ===
Source: friendly-recovery
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.2.1
Vcs-Bzr: https://bazaar.launchpad.net/~ubuntu-core-dev/friendly-recovery/ubuntu

Package: friendly-recovery
Architecture: all
Depends: ${misc:Depends}, systemd-sysv, whiptail
Breaks: upstart (<< 1.3-0ubuntu9), grub2 (<< 1.99-12ubuntu4), initramfs-tools (<< 0.99ubuntu4)
Recommends: gettext-base, ${Ubuntu:Recommends}
Description: Make recovery boot mode more user-friendly
 Make the recovery boot mode more user-friendly by providing a menu
 with pluggable options.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif
 
 %:
-	dh "$@" --with systemd
+	dh "$@"
 
 override_dh_auto_build:
 	cd po; make
@@ -14,8 +14,8 @@
 override_dh_installinit:
 	dh_installinit --no-start
 
-override_dh_systemd_start:
-	dh_systemd_start --no-start
+override_dh_installsystemd:
+	dh_installsystemd --no-start
 
 override_dh_gencontrol:
 	dh_gencontrol -- -VUbuntu:Recommends=$(UBUNTU_RECOMMENDS)

## friendly-recovery 0.2.42build1

=== debian/changelog ===
friendly-recovery (0.2.42build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 26 Nov 2025 17:22:07 +0000
